%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
function flag = DrawIntData(z,w,flagin,Domain,Range)

clc
disp('-------------------------------')
disp(['Current data: Domain = ' Domain ', Range = ' Range])
disp(' ')
if isempty(z)
    disp('empty')
end

for k = 1:length(z)
    disp(['z(' num2str(k) ') =  ' num2str(z(k)) ]) 
    fprintf(['w{' num2str(k) '} = '])
    for m = 1:size(w{k}{1},1)
        for l = 1:length(w{k})
            for p = 1:size(w{k}{l},2)
                fprintf([ num2str(w{k}{l}(m,p),'%0.5g') ' ']);
            end
            fprintf('  ')
        end
        fprintf('\n')
        fprintf('       ')
    end
    fprintf('\n');
end

if flagin == 0
    return
end

disp('-------------------------------')
flag = input('Do you want to change your input? (n) ','s');
if strcmp(flag,'n') | isempty(flag)
  flag = 0;
else
  flag = 1;
end