%
%   This function computes the central solution
%
function alpha = GetCentral(interdata)

%
%   Get sizes
%
m = interdata.m;
mkn = interdata.mkn;

%
%   Determine Pick matrix
%
[P,shrinkflag,shrinkfactor] = GetPickMatrix(interdata);

%
%   Generate L, V & K matrices
%
L = GetL(interdata);
V = GetV(interdata);
invK = real(L*V*inv(P')*V'*L');

%
%   Determine central solution
%
invK11 = invK(1:m,1:m);     invK12 = invK(1:m,m+1:end);
invK21 = invK(m+1:end,1:m); invK22 = invK(m+1:end,m+1:end);
alpha0 = sqrtm(invK11.');
alpha1 = inv(alpha0)*invK21.';
alpha = reshape([alpha0 alpha1],m,m,mkn); 

if shrinkflag
    for j = 1:length(alpha)
        alpha(:,:,j) = alpha(:,:,j)*shrinkfactor^(j-1);
    end
end