%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
%   Help function to ExTemplate for giving numerical input at the prompt.
%
function [Region,r] = DRInput(str,defaultregion,defaultradius)

if defaultregion == 'C+'
    default =  defaultregion;
else
    default = [num2str(defaultradius) '*' num2str(defaultregion)];
end

val = input([ str ' ([ ' default ' ]) ' ] );

if isempty(val)
  Region = defaultregion;
  r = defaultradius;
  if Region == 'C+'
      r = [];
  end
elseif val == 1 | val == 2
    r = -1;
    while r <= 0 
        r = input(['       Input radius: ([' num2str(defaultradius) ']) ']);
        if isempty(r)
            r = defaultradius;
        end
    end
    if val == 1
        Region = 'D';
    elseif val == 2
        Region = 'Dc';
    end
elseif val == 3
    Region = 'C+'; r = [];
end